#include <stdio.h>

static int input_test(void);
static int scanf_test(void);

int main()
{
/*    
    char c1 = 'A';
    char c2 = 'B';
    char c3 = 'C';
    //puts(&c1);

    //char s[] = {'A', 'B', 'C', 0};
    char *s = "hello world";
    printf("hello: %-20s asfqwef\n", s);
    printf("%#d = %#x = %#o\n", 100, 100, 100);

    long long val = 0x1234567890adcdef;
    printf("%#lx\n", val);
*/
    //input_test();
    scanf_test();
    return 0;
}

// ввод символов
static int input_test(void)
{
    char c1, c2;
    //c = getchar();
    //printf("code: %#X: ", c);

    scanf("%c%*c", &c1);
    printf("code1: %d\n", c1);
    
    scanf("%c", &c2);
    printf("code2: %d\n", c2);

    return 0; 
}

static int scanf_test(void)
{
    char s[100];
    //scanf("%[1234567890]", s);
    //puts(s);

    //scanf("%[^\n]", s);
    //puts(s);
#if 0
    char login[20];
    char password[20];
    scanf("login: %s password: %s", login, password);
    printf("login: %s\n", login);
    printf("password: %s\n", password);
#endif

#if 1
    // Считывание целого числа
    int m;
    scanf("%d", &m);
    printf("m = %d", m);
#endif
    return 0;
}

